package com.sun.org.apache.xpath.internal;

import com.sun.org.apache.xpath.internal.functions.FuncExtFunction;
import java.util.Vector;
import javax.xml.transform.TransformerException;

public interface ExtensionsProvider
{
    public abstract boolean functionAvailable(String p0, String p1) throws TransformerException;
    
    public abstract boolean elementAvailable(String p0, String p1) throws TransformerException;
    
    public abstract Object extFunction(String p0, String p1, Vector p2, Object p3) throws TransformerException;
    
    public abstract Object extFunction(FuncExtFunction p0, Vector p1) throws TransformerException;
}
